- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitConstraintValues Class Reference

the InitConstraintValues class. More...

`#include <OSOption.h>`

Collaboration diagram for InitConstraintValues:

[legend]
List of all members.

## Public Member Functions
| InitConstraintValues ()
| Default constructor.
| ~InitConstraintValues ()
| Class destructor.
bool | IsEqual (InitConstraintValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setCon (int numberOfCon, InitConValue **con)
| A function to set an array of <con> elements.
bool | setCon (int numberOfCon, int *idx, double *value)
| Alternative signature for this function.
bool | addCon (int idx, double value)
| A function to add a <con> element.
## Public Attributes
int | numberOfCon
| number of <con> children
InitConValue ** | con
| initial value for each constraint

## Detailed Description

the InitConstraintValues class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2397 of file OSOption.h.

## Constructor & Destructor Documentation

InitConstraintValues::InitConstraintValues | ( |  | ) |

Default constructor.

Definition at line 961 of file OSOption.cpp.

References con.

InitConstraintValues::~InitConstraintValues | ( |  | ) |

Class destructor.

Definition at line 970 of file OSOption.cpp.

References con, and numberOfCon.

## Member Function Documentation

bool InitConstraintValues::IsEqual | ( | InitConstraintValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 9850 of file OSOption.cpp.

References con, and numberOfCon.

bool InitConstraintValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11108 of file OSOption.cpp.

References con, numberOfCon, OSRand(), and InitConValue::setRandom().

Referenced by ConstraintOption::setRandom().

bool InitConstraintValues::setCon | ( | int | numberOfCon,
|  | InitConValue ** | con |
| ) |  |  |

A function to set an array of <con> elements.

Parameters:

  | numberOfCon,: | number of <con> elements to be set
  | con,: | the array of <con> elements that are to be set

Definition at line 5667 of file OSOption.cpp.

References con, and ErrorClass::errormsg.

Referenced by OSOption::setInitConValues(), and OSOption::setInitConValuesSparse().

bool InitConstraintValues::setCon | ( | int | numberOfCon,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfCon,: | number of <con> elements to be set
  | idx,: | the array of indices
  | value,: | the array of corresponding values

Definition at line 5694 of file OSOption.cpp.

References con, InitConValue::idx, and InitConValue::value.

bool InitConstraintValues::addCon | ( | int | idx,
|  | double | value |
| ) |  |  |

A function to add a <con> element.

Parameters:

  | idx,: | the index of the constraint to be given an inital value
  | value,: | the initial value to be added

Definition at line 5726 of file OSOption.cpp.

References con, ErrorClass::errormsg, InitConValue::idx, numberOfCon, and InitConValue::value.

Referenced by OSOption::setAnotherInitConValue().

## Member Data Documentation

int InitConstraintValues::numberOfCon

number of <con> children

Definition at line 2401 of file OSOption.h.

Referenced by addCon(), OSOption::getNumberOfInitConValues(), IsEqual(), OSOption::setInitConValuesSparse(), setRandom(), and ~InitConstraintValues().

InitConValue** InitConstraintValues::con

initial value for each constraint

Definition at line 2404 of file OSOption.h.

Referenced by addCon(), OSOption::getInitConValuesSparse(), InitConstraintValues(), IsEqual(), setCon(), OSOption::setInitConValuesDense(), setRandom(), and ~InitConstraintValues().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp